post

/v4/campaign-lists/{owner}/{name}/add

Append campaign IDs to a list, creating it if it does not exist. Requires the owner's JWT or API key.

Path parameters

ownerstring
required
namestring
required

Request body

object
campaignIdsstring | object[]
required
Campaign IDs to include in the list. Each entry is either an internal hash (`Campaign.id`) or a `{ distributionChain, campaignId }` composite.
distributionChainnumberDistribution chain ID
campaignIdstringOnchain campaign ID

Responses

200
Response for status 200
Schema
object
ownerstring
required
namestring
required
campaignIdsstring[]
required
sizenumber
required
Example
{
  "owner": "string",
  "name": "string",
  "campaignIds": [
    "string"
  ],
  "size": 0
}
post
https://api.merkl.xyz/v4/campaign-lists/{owner}/{name}/add
Merkl API
curl -X POST "https://api.merkl.xyz/v4/campaign-lists/{owner}/{name}/add" \
  -H "Content-Type: application/json" \
  -d '{ "campaignIds": [ "string" ] }'
Current params
{
  "body": {
    "campaignIds": [
      "string"
    ]
  }
}
Fill the required path parameters owner, name to send.Live request — this will call https://api.merkl.xyz/ for real.